from .Completion import Completion
from .CompletionOpenAI import CompletionOpenAI

def getCompletionEngine(config) -> Completion:
    source = config["nlp.source"]
    if source == "OpenAI":
        token = config["nlp.token"]
        model = config["nlp.model"]
        return CompletionOpenAI(token, model=model)


